Log in or register to post comments

Data Set Error

August 11, 2014 - 4:02am #1

Hey,

I'm using the Vuforia Unity Sdk 3.0.5 and Unity 3.2.2.f1. 

On my project I load dynamically the data set and it was working fine on both iOS and Android. Now I'm getting the following error but can't seem to find the cause:

 

 ERROR/AR(2971) 2014-08-11 11:32:57: Failed to load data set 'µØM¯çFFF' - invalid storage type.

 

This error only appears on iOS and Android. On the Unity Editor it is running fine.

The application does not crash but I can't recognize any targets. Anyone know what might cause it?

Thanks

 

Data Set Error

August 26, 2014 - 7:27pm #3

hi

i`m trying to make an apk of augmented reality in unity and vuforia that i will compile in eclipse but i have a problem when i build the project for android in unity. it seem ther is some mistake in the android manifest that unity generate automatic,

 

the error line is

 

Unable to find unity activity in manifest. You need to make sure orientation attribute is set to fullSensor manually.

 

i have try to change it in te manifest when i import the proyect to eclipse but the problem persist.

this is the manifest i have

 

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
package="jauma.art.projectAR1"
android:versionName="1.0" android:versionCode="1"
android:installLocation="preferExternal">
  <uses-sdk android:minSdkVersion="8" android:targetSdkVersion="20" />
  <uses-feature android:name="android.hardware.camera" />
  <supports-screens android:smallScreens="true"
android:normalScreens="true" android:largeScreens="true" android:anyDensity="true" />
  <uses-permission android:name="android.permission.INTERNET" />
  <uses-permission android:name="android.permission.CAMERA" />
  <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
  <application android:icon="@drawable/app_icon" android:label="@string/app_name"
 android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
 android:debuggable="false">
    <activity android:name="com.qualcomm.QCARUnityPlayer.QCARPlayerNativeActivity"
 android:label="@string/app_name" android:screenOrientation=“sensor"
 android:configChanges="fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen">
      <meta-data android:name="unityplayer.ForwardNativeEventsToDalvik" android:value="false" />
      <intent-filter>
        <action android:name="android.intent.action.MAIN" />
        <category android:name="android.intent.category.LAUNCHER" />
      </intent-filter>
    </activity>
    <activity android:name="com.unity3d.player.VideoPlayer" android:label="@string/app_name" android:screenOrientation=“sensor" android:configChanges="fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen">
    </activity>
  </application>
  <uses-feature android:glEsVersion="0x00020000" />
  <uses-feature android:name="android.hardware.camera.autofocus" android:required="false" />
  <uses-feature android:name="android.hardware.camera.front" android:required="false" />
  <uses-permission android:name="android.permission.WAKE_LOCK" />
</manifest>
<!-- android:installLocation="preferExternal" -->

 

some one could give me a litle help with that?

thank you

 

Data Set Error

August 13, 2014 - 1:59pm #2

Did you recently update your Vuforia SDK to 3.0.5? You are using an old version of Unity (3.2.2f1) and this can be a factor when using it with our 3.x SDK. The current version of Unity is 4.5.3 and the minimum required Unity version for Vuforia 3.x is Unity 4.3. Here's some additional details on migrating Unity projects:

https://developer.vuforia.com/resources/dev-guide/migrating-your-unity-project
 

Log in or register to post comments